AbstractLexer (groovy 3.0.9 API)

Package: org.apache.groovy.parser.antlr4

## [Java] Class AbstractLexer

- org.apache.groovy.parser.antlr4.AbstractLexer

- All Implemented Interfaces and Traits:
    SyntaxErrorReportable

      public abstract class AbstractLexer
      extends Lexer
      implements SyntaxErrorReportable

  Because antlr4 does not support generating lexer with specified interface, we have to create a super class for it and implement the interface.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Lexer` | `DEFAULT_MODE, MORE, SKIP, DEFAULT_TOKEN_CHANNEL, HIDDEN, MIN_CHAR_VALUE, MAX_CHAR_VALUE, _input, _token, _tokenStartCharIndex, _tokenStartLine, _tokenStartCharPositionInLine, _hitEOF, _channel, _type, _modeStack, _mode, _text, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractLexer (CharStream input)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Lexer` | `setInputStream, setText, emit, emit, setType, getLine, getToken, getText, recover, recover, setLine, getSourceName, notifyListeners, getCharPositionInLine, setCharPositionInLine, getCharErrorDisplay, getTokenFactory, setTokenFactory, popMode, getModeNames, getChannelNames, getTokenNames, setToken, getErrorDisplay, getErrorDisplay, emitEOF, getAllTokens, pushMode, setChannel, getCharIndex, nextToken, getType, mode, skip, reset, getInputStream, getInputStream, getChannel, more, setState, getRuleNames, addErrorListener, getInterpreter, removeErrorListeners, getErrorListenerDispatch, getTokenErrorDisplay, removeErrorListener, setInterpreter, getATN, getSerializedATN, getVocabulary, getGrammarFileName, sempred, getParseInfo, getErrorHeader, getRuleIndexMap, getTokenTypeMap, getErrorListeners, precpred, getTokenType, getState, action, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AbstractLexer(CharStream input)